You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@cordova.apache.org by lo...@apache.org on 2013/06/05 00:10:18 UTC

webworks commit: [CB-2924] logging is possible to support, stubbing in script for the time being

Updated Branches:
  refs/heads/master e9eef4c8c -> 7dc8b2edf


[CB-2924] logging is possible to support, stubbing in script for the time being


Project: http://git-wip-us.apache.org/repos/asf/cordova-blackberry/repo
Commit: http://git-wip-us.apache.org/repos/asf/cordova-blackberry/commit/7dc8b2ed
Tree: http://git-wip-us.apache.org/repos/asf/cordova-blackberry/tree/7dc8b2ed
Diff: http://git-wip-us.apache.org/repos/asf/cordova-blackberry/diff/7dc8b2ed

Branch: refs/heads/master
Commit: 7dc8b2edff393a0de854d9bd3acee28c744f5a60
Parents: e9eef4c
Author: lorinbeer <lo...@adobe.com>
Authored: Tue Jun 4 15:10:12 2013 -0700
Committer: lorinbeer <lo...@adobe.com>
Committed: Tue Jun 4 15:10:12 2013 -0700

----------------------------------------------------------------------
 blackberry10/bin/templates/project/cordova/lib/log |   24 +++++++++++++++
 .../bin/templates/project/cordova/lib/log.bat      |   21 +++++++++++++
 2 files changed, 45 insertions(+), 0 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/cordova-blackberry/blob/7dc8b2ed/blackberry10/bin/templates/project/cordova/lib/log
----------------------------------------------------------------------
diff --git a/blackberry10/bin/templates/project/cordova/lib/log b/blackberry10/bin/templates/project/cordova/lib/log
new file mode 100755
index 0000000..1b34649
--- /dev/null
+++ b/blackberry10/bin/templates/project/cordova/lib/log
@@ -0,0 +1,24 @@
+#!/usr/bin/env bash
+#
+# Licensed to the Apache Software Foundation (ASF) under one
+# or more contributor license agreements.  See the NOTICE file
+# distributed with this work for additional information
+# regarding copyright ownership.  The ASF licenses this file
+# to you under the Apache License, Version 2.0 (the
+# "License"); you may not use this file except in compliance
+# with the License.  You may obtain a copy of the License at
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing,
+# software distributed under the License is distributed on an
+# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+# specific language governing permissions and limitations
+# under the License.
+#
+
+set -e
+
+echo 'BlackBerry10: logging not supported at this time.'
+exit 1

http://git-wip-us.apache.org/repos/asf/cordova-blackberry/blob/7dc8b2ed/blackberry10/bin/templates/project/cordova/lib/log.bat
----------------------------------------------------------------------
diff --git a/blackberry10/bin/templates/project/cordova/lib/log.bat b/blackberry10/bin/templates/project/cordova/lib/log.bat
new file mode 100644
index 0000000..ef5f6d9
--- /dev/null
+++ b/blackberry10/bin/templates/project/cordova/lib/log.bat
@@ -0,0 +1,21 @@
+:: Licensed to the Apache Software Foundation (ASF) under one
+:: or more contributor license agreements.  See the NOTICE file
+:: distributed with this work for additional information
+:: regarding copyright ownership.  The ASF licenses this file
+:: to you under the Apache License, Version 2.0 (the
+:: "License"); you may not use this file except in compliance
+:: with the License.  You may obtain a copy of the License at
+::
+:: http://www.apache.org/licenses/LICENSE-2.0
+::
+:: Unless required by applicable law or agreed to in writing,
+:: software distributed under the License is distributed on an
+:: "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+:: KIND, either express or implied.  See the License for the
+:: specific language governing permissions and limitations
+:: under the License.
+
+@ECHO OFF
+
+ECHO echo 'BlackBerry10: logging not supported at this time.'
+EXIT /B 1